import app from 'flarum/forum/app';
import AuthorizePage from "./components/oauth/AuthorizePage";
import AuthorizedPage from "./components/user/AuthorizedPage";
app.initializers.add('foskym/flarum-oauth-center', () => {
  app.routes['oauth.authorize'] = {
    path: '/oauth/authorize',
    component: AuthorizePage
  };

  app.routes['user.authorized'] = {
    path: '/u/:username/authorized',
    component: AuthorizedPage
  };
});
